Tool
deployment_alert_update
Update an alert rule (threshold, comparator, enabled)
Update an alert rule (threshold, comparator, enabled)
Behavior
- HTTP
PATCH /deployment/alerts/:id
Arguments
Name | Type | Required | Description |
|---|---|---|---|
id | string | • | No description in the catalog. |
enabled | boolean | — | No description in the catalog. |
threshold | number | — | No description in the catalog. |
comparator | string | — | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
state | string | • | |
metric | string | • | |
enabled | boolean | • | |
targetId | string | • | |
createdAt | string | • | |
productId | string | • | |
threshold | number | • | |
updatedAt | string | • | |
comparator | string | • | |
targetKind | string | • | |
environmentId | string | • | |
lastEvaluatedAt | string | • | |
lastStateChangeAt | string | • |
Try it
Update an alert rule (threshold, comparator, enabled).